Moonborn — API · config
Validate a prospective config value without persisting it
POST/v1/config/validatescope · Bearer (API key or session JWT)
Request body
| Field | Type | Description |
|---|---|---|
| keyreq | string | |
| scopereq | object | |
| scope.levelreq | string · "system" | "env" | "plan" | "org" | "workspace" | "user" | "api_key" | "request" | |
| scope.id | string | default: "" |
| valuereq | object |
Responses
200Validation result
Body
| Field | Type | Description |
|---|---|---|
| validreq | boolean | |
| errorsreq | string[] |
401Unauthenticated
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
422Request schema invalid
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
Examples
cURL
curl -X POST https://api.moonborn.co/v1/config/validate \
-H "Authorization: Bearer $MOONBORN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"key": "<string>",
"scope": {
"level": "system"
},
"value": null
}'TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.config.validateConfigChange({
key: "<string>",
scope: {"level":"system"},
value: null,
});Python
import os
from moonborn import Moonborn
client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])
result = client.config.validate_config_change(
key="<string>",
scope={"level":"system"},
value=None,
)